Skip to main content
`Ctrl`+`K`

# Fittable2DModel

class astropy.modeling.Fittable2DModel(*args, meta=None, name=None, **kwargs)

  Bases: `FittableModel`

  Base class for two-dimensional fittable models.

  This class provides an easier interface to defining new models. Examples can be found in `astropy.modeling.functional_models`.

  Attributes Summary

  `n_inputs` |
  `n_outputs` |

  Methods Summary

  `__call__`(*inputs[, model_set_axis, ...]) | Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.

  Attributes Documentation

  n_inputs = 2
  n_outputs = 1

  Methods Documentation

  __call__(*inputs, model_set_axis=None, with_bounding_box=False, fill_value=nan, equivalencies=None, inputs_map=None, **new_inputs)

    Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.